Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.search.ui
Interface IContextMenuConstants

public interface IContextMenuConstants

Constants for menu groups used in context menus for Search views and editors.

This interface declares constants only; it is not intended to be implemented.

Since:
  2.0

Field Summary
`static String` | `GROUP_ADDITIONS` Pop-up menu: name of group for additional actions (value `"group.additions"`).
`static String` | `GROUP_BUILD` Pop-up menu: name of group for build actions (value `"group.build"`).
`static String` | `GROUP_GENERATE` Pop-up menu: name of group for code generation or refactoring actions ( value `"group.generate"`).
`static String` | `GROUP_GOTO` Pop-up menu: name of group for goto actions (value `"group.open"`).
`static String` | `GROUP_NEW` Pop-up menu: name of group for new actions (value `"group.new"`).
`static String` | `GROUP_OPEN` Pop-up menu: name of group for open actions (value `"group.open"`).
`static String` | `GROUP_PROPERTIES` Pop-up menu: name of group for properties actions (value `"group.properties"`).
`static String` | `GROUP_REMOVE_MATCHES` Pop-up menu: name of group for remove match actions (value `"group.removeMatches"`).
`static String` | `GROUP_REORGANIZE` Pop-up menu: name of group for reorganize actions (value `"group.reorganize"`).
`static String` | `GROUP_SEARCH` Pop-up menu: name of group for search actions (value `"group.search"`).
`static String` | `GROUP_SHOW` Pop-up menu: name of group for show actions (value `"group.show"`).
`static String` | `GROUP_VIEWER_SETUP` Pop-up menu: name of group for viewer setup actions (value `"group.viewerSetup"`).

Field Detail

### GROUP_GOTO

    public static final String GROUP_GOTO

  Pop-up menu: name of group for goto actions (value `"group.open"`).

  Examples for open actions are:

  - Go Into
  - Go To

  See Also:
    Constant Field Values

### GROUP_OPEN

    public static final String GROUP_OPEN

  Pop-up menu: name of group for open actions (value `"group.open"`).

  Examples for open actions are:

  - Open To
  - Open With

  See Also:
    Constant Field Values

### GROUP_SHOW

    public static final String GROUP_SHOW

  Pop-up menu: name of group for show actions (value `"group.show"`).

  Examples for show actions are:

  - Show in Navigator
  - Show in Type Hierarchy

  See Also:
    Constant Field Values

### GROUP_NEW

    public static final String GROUP_NEW

  Pop-up menu: name of group for new actions (value `"group.new"`).

  Examples for new actions are:

  - Create new class
  - Create new interface

  See Also:
    Constant Field Values

### GROUP_BUILD

    public static final String GROUP_BUILD

  Pop-up menu: name of group for build actions (value `"group.build"`).

  See Also:
    Constant Field Values

### GROUP_REORGANIZE

    public static final String GROUP_REORGANIZE

  Pop-up menu: name of group for reorganize actions (value `"group.reorganize"`).

  See Also:
    Constant Field Values

### GROUP_GENERATE

    public static final String GROUP_GENERATE

  Pop-up menu: name of group for code generation or refactoring actions ( value `"group.generate"`).

  See Also:
    Constant Field Values

### GROUP_SEARCH

    public static final String GROUP_SEARCH

  Pop-up menu: name of group for search actions (value `"group.search"`).

  See Also:
    Constant Field Values

### GROUP_ADDITIONS

    public static final String GROUP_ADDITIONS

  Pop-up menu: name of group for additional actions (value `"group.additions"`).

  See Also:
    Constant Field Values

### GROUP_VIEWER_SETUP

    public static final String GROUP_VIEWER_SETUP

  Pop-up menu: name of group for viewer setup actions (value `"group.viewerSetup"`).

  See Also:
    Constant Field Values

### GROUP_PROPERTIES

    public static final String GROUP_PROPERTIES

  Pop-up menu: name of group for properties actions (value `"group.properties"`).

  See Also:
    Constant Field Values

### GROUP_REMOVE_MATCHES

    public static final String GROUP_REMOVE_MATCHES

  Pop-up menu: name of group for remove match actions (value `"group.removeMatches"`).

  Since:
    2.1
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.